libzypp 17.38.15

repodownloaderwf.h File Reference
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/repo/Downloader>`
`#include <zypp-core/ng/ui/ProgressObserver>`
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp-media/MediaException>`
`#include <zypp-media/ng/ProvideSpec>`
`#include <zypp-media/ng/LazyMediaHandle>`
`#include <zypp/ManagedFile.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::RepoDownloaderWorkflow

## Functions
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::RepoDownloaderWorkflow::downloadMasterIndex (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::RepoDownloaderWorkflow::downloadMasterIndex (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle, zypp::filesystem::Pathname masterIndex_r)
MaybeAwaitable< expected< zypp::RepoStatus > > | zyppng::RepoDownloaderWorkflow::repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< zypp::RepoStatus > > | zyppng::RepoDownloaderWorkflow::repoStatus (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::RepoDownloaderWorkflow::download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver=nullptr)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::RepoDownloaderWorkflow::download (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle, ProgressObserverRef progressObserver)
template<typename MediaHandle>
auto | zyppng::RepoDownloaderWorkflow::downloadMediaInfo (MediaHandle &&mediaHandle, const zypp::filesystem::Pathname &destdir)